--
-- $Id$
--
-- <<Gebouwverantwoordelijken aanpassen>>

DEFINE thisfile = 'RABO#54852.SQL'
DEFINE dbuser   = '^RABO'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
-- Mitchel Vos (135 gebouwen)
UPDATE alg_gebouw 
SET prs_perslid_key_verantw = 6023		-- Key voor Mitchel Vos
WHERE alg_gebouw_key IN 
	(SELECT g.alg_gebouw_key
	FROM alg_gebouw g, alg_district d, alg_locatie l
	WHERE d.alg_district_key = l.alg_district_key 
	AND l.alg_locatie_key = g.alg_locatie_key
	AND d.alg_district_key IN (
	    305,                        -- Salland   
	    321,                        -- IJsseldelta
	    61,                        -- Noord-Oost-Achterhoek
	    322,                        -- Apeldoorn
	    302,                        -- Maas & Waal
	    401,                        -- Arnhem        
	    304)                        -- RIJK van Nijmegen 
	    );               

-- André Kisman (33 gebouwen)
UPDATE alg_gebouw 
SET prs_perslid_key_verantw = 317		-- Key voor André Kisman
WHERE alg_gebouw_key IN 
	(SELECT g.alg_gebouw_key
	FROM alg_gebouw g, alg_district d, alg_locatie l
	WHERE d.alg_district_key = l.alg_district_key 
	AND l.alg_locatie_key = g.alg_locatie_key
	AND d.alg_district_key IN (
	    81,                        -- Emmen-Coevorden   
	    421)                        -- Het Drentse Land
	    );   



------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
